cURL
curl --request GET \
--url https://platform.thena.ai/v1/forms/fetchByIds \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/forms/fetchByIds"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/forms/fetchByIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"fields": [
{
"field": "<string>",
"editableByCustomer": true,
"defaultValue": {},
"mandatoryOnCreation": true,
"mandatoryOnClose": true,
"visibleToCustomer": true
}
],
"conditions": [
{
"triggerFieldId": "<string>",
"triggerFieldValue": {},
"conditionType": "<string>",
"targetFields": [
{
"id": "<string>",
"type": "<string>",
"value": {},
"options": [
{}
]
}
],
"forVendor": true,
"forUser": true,
"teamId": "<string>"
}
],
"version": 123,
"isActive": true,
"default": true,
"channels": [
"<string>"
],
"order": 123
}
],
"status": true,
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "No IDs provided",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "User is not authenticated!",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "User does not have access to this resource!",
"error": "Forbidden"
}{
"statusCode": 500,
"message": "Something went wrong!",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "This service/resource is currently unavailable.",
"error": "Service Unavailable"
}Forms
Get forms by IDs
GET
/
v1
/
forms
/
fetchByIds
cURL
Authorizations
Enter your API key
Query Parameters
Array of form IDs to fetch. Pass multiple form IDs to retrieve specific forms. All IDs must exist and be accessible to the user, otherwise the request will fail.
Example:
["FO123456789012", "FO123456789013"]
⌘I